Create Access URL (Private)
curl --request POST \
--url https://api.imperial.gay/images/:id/access-url \
--header 'Authorization: <authorization>'import requests
url = "https://api.imperial.gay/images/:id/access-url"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://api.imperial.gay/images/:id/access-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessUrl": "<string>",
"expiresAt": {}
}Endpoints
Create Access URL (Private)
Create a short-lived access URL for a private upload
POST
/
images
/
:id
/
access-url
Create Access URL (Private)
Request
Headers
string
required
Your API key in the format:
Bearer imperial_live_xxxxxxxxxxxxxPath Parameters
string
required
Upload ID
Response
string
A short-lived URL that can be viewed even if the upload is Private
string|null
ISO timestamp when the URL expires (or
null if not private)Example
curl -X POST "https://api.imperial.gay/images/6987cd047baba11ee0f66d98/access-url" \
-H "Authorization: Bearer imperial_live_xxxxxxxxxxxxx"
⌘I

